Package ietf.params.xml.ns.icalendar_2

# Class ArrayOfProperties

java.lang.Object
ietf.params.xml.ns.icalendar_2.ArrayOfProperties

public class ArrayOfProperties extends Object

Java class for ArrayOfProperties complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayOfProperties">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseProperty"/>
               <element name="tzid" type="{urn:ietf:params:xml:ns:icalendar-2.0}TextPropertyType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<javax.xml.bind.JAXBElement<? extends BasePropertyType>>`
  `basePropertyOrTzid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayOfProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<javax.xml.bind.JAXBElement<? extends BasePropertyType>>`
  `getBasePropertyOrTzid()`
  Gets the value of the basePropertyOrTzid property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### basePropertyOrTzid

    protected List<javax.xml.bind.JAXBElement<? extends BasePropertyType>> basePropertyOrTzid

- ## Constructor Details

  - ### ArrayOfProperties

    public ArrayOfProperties()

- ## Method Details

  - ### getBasePropertyOrTzid

    public List<javax.xml.bind.JAXBElement<? extends BasePropertyType>> getBasePropertyOrTzid()
    Gets the value of the basePropertyOrTzid property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the basePropertyOrTzid property.

    For example, to add a new item, do as follows:

            getBasePropertyOrTzid().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``AcceptResponsePropType``>` `JAXBElement``<``ActionPropType``>` `JAXBElement``<``AttachPropType``>` `JAXBElement``<``AttendeePropType``>` `JAXBElement``<``BasePropertyType``>` `JAXBElement``<``CalscalePropType``>` `JAXBElement``<``CategoriesPropType``>` `JAXBElement``<``ClassPropType``>` `JAXBElement``<``CommentPropType``>` `JAXBElement``<``CompletedPropType``>` `JAXBElement``<``ContactPropType``>` `JAXBElement``<``CreatedPropType``>` `JAXBElement``<``DescriptionPropType``>` `JAXBElement``<``DtendPropType``>` `JAXBElement``<``DtstampPropType``>` `JAXBElement``<``DtstartPropType``>` `JAXBElement``<``DuePropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``ExdatePropType``>` `JAXBElement``<``ExrulePropType``>` `JAXBElement``<``FreebusyPropType``>` `JAXBElement``<``GeoPropType``>` `JAXBElement``<``LastModifiedPropType``>` `JAXBElement``<``LinkPropType``>` `JAXBElement``<``LocationPropType``>` `JAXBElement``<``MethodPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``PercentCompletePropType``>` `JAXBElement``<``PollItemIdPropType``>` `JAXBElement``<``PollModePropType``>` `JAXBElement``<``PollPropertiesPropType``>` `JAXBElement``<``PriorityPropType``>` `JAXBElement``<``ProdidPropType``>` `JAXBElement``<``RdatePropType``>` `JAXBElement``<``RecurrenceIdPropType``>` `JAXBElement``<``RelatedToPropType``>` `JAXBElement``<``RepeatPropType``>` `JAXBElement``<``RequestStatusPropType``>` `JAXBElement``<``ResourcesPropType``>` `JAXBElement``<``RrulePropType``>` `JAXBElement``<``SequencePropType``>` `JAXBElement``<``StatusPropType``>` `JAXBElement``<``SummaryPropType``>` `JAXBElement``<``TextPropertyType``>` `JAXBElement``<``TolerancePropType``>` `JAXBElement``<``TranspPropType``>` `JAXBElement``<``TriggerPropType``>` `JAXBElement``<``TzidPropType``>` `JAXBElement``<``TznamePropType``>` `JAXBElement``<``TzoffsetfromPropType``>` `JAXBElement``<``TzoffsettoPropType``>` `JAXBElement``<``TzurlPropType``>` `JAXBElement``<``UidPropType``>` `JAXBElement``<``UrlPropType``>` `JAXBElement``<``VersionPropType``>` `JAXBElement``<``VoterPropType``>` `JAXBElement``<``WsCalendarAttachType``>` `JAXBElement``<``WsCalendarTypeType``>` `JAXBElement``<``XBedeworkCostPropType``>` `JAXBElement``<``XBedeworkExsynchEndtzidPropType``>` `JAXBElement``<``XBedeworkExsynchLastmodPropType``>` `JAXBElement``<``XBedeworkExsynchStarttzidPropType``>` `JAXBElement``<``XBedeworkInstanceOnlyPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPerUserPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPropType``>` `JAXBElement``<``XBedeworkRegistrationEndPropType``>` `JAXBElement``<``XBedeworkRegistrationStartPropType``>` `JAXBElement``<``XBedeworkWaitListLimitPropType``>` `JAXBElement``<``XBedeworkWrapperPropType``>` `JAXBElement``<``XBwCategoriesPropType``>` `JAXBElement``<``XBwContactPropType``>` `JAXBElement``<``XBwLocationPropType``>` `JAXBElement``<``XMicrosoftCdoBusystatusPropType``>` `JAXBElement``<``XMicrosoftCdoIntendedstatusPropType``>`